<template>
    <div class="win">
        <div class="border_corner border_corner_left_top"></div>
        <div class="border_corner border_corner_right_top"></div>
        <div class="border_corner border_corner_left_bottom"></div>
        <div class="border_corner border_corner_right_bottom"></div>
        <ul class="tab">
            <li @click='tabTaggle("ECharts")'>实时数据</li>
            <li @click='tabTaggle("ECharts")'>小时数据</li>
            <li @click='tabTaggle("DateECharts")'>日数据</li>
            <li @click='tabTaggle("ECharts")'>人工数据</li>
        </ul>
        <component :is="currentTab" v-bind="$attrs"></component>
    </div>
</template>

<script>
import ECharts from './ECharts'
import DateECharts from './DateECharts'

export default {
  name: 'PublicChart',
  components: {
    ECharts,
    DateECharts
  },
  data () {
    return {
      currentTab: 'ECharts'
    }
  },
  methods: {
    tabTaggle (taggleMenu) {
      this.currentTab = taggleMenu
      debugger
    }
  }
}

</script>

<style scoped>
* {
  margin: 0;
  padding: 0;
  list-style: none;
}

.win {
  position: relative;
  margin-bottom: 13px;
  background-color: rgba(33, 41, 69, 0.9);
  border: 0.8px solid #396d83;
  height: 1.5rem;
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0, 0, 0, 0);
  border: 1.5px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}

.tab {
  display: flex;
  border-bottom: 1px solid #396d83;
  margin-bottom: 10px;
}

li {
  background-color: #243a55;
  margin: 10px 10px 2px 10px;
  /*padding: 5px 10px;*/
  width: 90px;
  height: 25px;
  line-height: 25px;
  text-align: center;
  border-radius: 5px;
}

ul li:hover {
  background-color: #0e639e;
  color: #682000;
  cursor: pointer;
}
</style>
